import request from '@/utils/request'

// 查询cmc设备费用列表
export function listDeviceExpense(query) {
  return request({
    url: '/oa/deviceExpense/list',
    method: 'get',
    params: query
  })
}

// 查询cmc设备费用详细
export function getDeviceExpense(deviceExpenseId) {
  return request({
    url: '/oa/deviceExpense/' + deviceExpenseId,
    method: 'get'
  })
}

// 新增cmc设备费用
export function addDeviceExpense(data) {
  return request({
    url: '/oa/deviceExpense',
    method: 'post',
    data: data
  })
}

// 修改cmc设备费用
export function updateDeviceExpense(data) {
  return request({
    url: '/oa/deviceExpense',
    method: 'put',
    data: data
  })
}

// 删除cmc设备费用
export function delDeviceExpense(deviceExpenseId) {
  return request({
    url: '/oa/deviceExpense/' + deviceExpenseId,
    method: 'delete'
  })
}
